commit bd918acae2dd85e0fa79d582e3e221e0caff034e
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Dec 8 01:17:58 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 3254226c45b..fdf0dacb4c2 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211207
+20211208
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 2d0c6036893..80a8f6d9547 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2021-12-07  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2021-12-07  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/95009
+	* typeck.c (is_bitfield_expr_with_lowered_type) <case MODIFY_EXPR>:
+	Handle UNARY_PLUS_EXPR, NEGATE_EXPR, NON_LVALUE_EXPR, BIT_NOT_EXPR,
+	P*CREMENT_EXPR too.
+
 2021-12-02  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f3751836c85..7bed542ea21 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2021-12-07  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2021-12-07  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/95009
+	* g++.dg/cpp0x/decltype-bitfield1.C: New test.
+	* g++.dg/cpp0x/decltype-bitfield2.C: New test.
+
 2021-12-04  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

